Index: data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel
===================================================================
--- data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11790)
+++ data/branches/cegui0.8_ogre1.9/gui/looknfeels/SleekSpace.looknfeel	(revision 11792)
@@ -1916,11 +2412,19 @@
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1.0" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1.0" type="Height" /></Dim>
-                </Area>
-                <Image type="LeftEdge" imageset="SleekSpace" image="ComboboxEditLeft" />
-                <Image type="Background" imageset="SleekSpace" image="ComboboxEditMiddle" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1.0" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1.0" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="LeftEdge" name="SleekSpace/ComboboxEditLeft" />
+                <Image component="Background" name="SleekSpace/ComboboxEditMiddle" />
             </FrameComponent>
         </ImagerySection>
@@ -1928,23 +2432,39 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="RightEdge" ><UnifiedDim scale="1.0" type="RightEdge" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="TextSelectionBrush" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <UnifiedDim scale="1.0" type="RightEdge" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/TextSelectionBrush" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
             </ImageryComponent>
         </ImagerySection>
-        <ImagerySection name="Carat">
-            <ImageryComponent>
-                <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><ImageDim imageset="SleekSpace" image="EditBoxCarat" dimension="Width" /></Dim>
-                    <Dim type="BottomEdge" ><UnifiedDim scale="1.0" type="BottomEdge" /></Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="EditBoxCarat" />
+        <ImagerySection name="Caret">
+            <ImageryComponent>
+                <Area>
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <ImageDim dimension="Width" name="SleekSpace/EditBoxCarat" />
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <UnifiedDim scale="1.0" type="BottomEdge" />
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/EditBoxCarat" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -1964,5 +2484,5 @@
             <Layer>
                 <Section section="container_normal">
-                    <Colours topLeft="FF7F7F7F" topRight="FF7F7F7F" bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" />
+                    <Colours bottomLeft="FF7F7F7F" bottomRight="FF7F7F7F" topLeft="FF7F7F7F" topRight="FF7F7F7F" />
                 </Section>
             </Layer>
@@ -1983,133 +2503,160 @@
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/Combobox
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/Combobox">
-        <Child  type="SleekSpace/ComboEditbox" nameSuffix="__auto_editbox__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <FontDim type="LineSpacing">
-                                <DimOperator op="Multiply">
-                                    <AbsoluteDim value="1.5" />
-                                </DimOperator>
-                            </FontDim>
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" >
-                    <FontDim type="LineSpacing">
-                        <DimOperator op="Multiply">
+        <Child nameSuffix="__auto_editbox__" type="SleekSpace/ComboEditbox">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <OperatorDim op="Multiply">
+                            <FontDim type="LineSpacing" />
                             <AbsoluteDim value="1.5" />
-                        </DimOperator>
-                    </FontDim>
+                        </OperatorDim>
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <OperatorDim op="Multiply">
+                        <FontDim type="LineSpacing" />
+                        <AbsoluteDim value="1.5" />
+                    </OperatorDim>
                 </Dim>
             </Area>
         </Child>
-        <Child  type="SleekSpace/ComboDropList" nameSuffix="__auto_droplist__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><WidgetDim widget="__auto_editbox__" dimension="BottomEdge" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="BottomEdge" ><UnifiedDim scale="1" type="BottomEdge" /></Dim>
+        <Child nameSuffix="__auto_droplist__" type="SleekSpace/ComboDropList">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <WidgetDim dimension="BottomEdge" widget="__auto_editbox__" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="BottomEdge">
+                    <UnifiedDim scale="1" type="BottomEdge" />
+                </Dim>
             </Area>
         </Child>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_button__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><WidgetDim widget="__auto_editbox__" dimension="Height" /></Dim>
-                <Dim type="Height" ><WidgetDim widget="__auto_editbox__" dimension="Height" /></Dim>
+        <Child nameSuffix="__auto_button__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <WidgetDim dimension="Height" widget="__auto_editbox__" />
+                </Dim>
+                <Dim type="Height">
+                    <WidgetDim dimension="Height" widget="__auto_editbox__" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:ComboboxListButtonNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:ComboboxListButtonHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:ComboboxListButtonNormal" />
+            <Property name="NormalImage" value="SleekSpace/ComboboxListButtonNormal" />
+            <Property name="HoverImage" value="SleekSpace/ComboboxListButtonHover" />
+            <Property name="PushedImage" value="SleekSpace/ComboboxListButtonNormal" />
         </Child>
         <StateImagery name="Enabled" />
         <StateImagery name="Disabled" />
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/Spinner
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/Spinner">
-        <Child  type="SleekSpace/Editbox" nameSuffix="__auto_editbox__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="VertScrollUpNormal" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+        <Child nameSuffix="__auto_editbox__" type="SleekSpace/Editbox">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/VertScrollUpNormal" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </Child>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_incbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="SleekSpace" image="VertScrollUpNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="0.5" type="Height" /></Dim>
+        <Child nameSuffix="__auto_incbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="SleekSpace/VertScrollUpNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="0.5" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:VertScrollUpNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:VertScrollUpHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:VertScrollUpNormal" />
+            <Property name="NormalImage" value="SleekSpace/VertScrollUpNormal" />
+            <Property name="HoverImage" value="SleekSpace/VertScrollUpHover" />
+            <Property name="PushedImage" value="SleekSpace/VertScrollUpNormal" />
         </Child>
-        <Child  type="SleekSpace/Button" nameSuffix="__auto_decbtn__">
-            <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><UnifiedDim scale="0.5" type="TopEdge" /></Dim>
-                <Dim type="Width" ><ImageDim imageset="SleekSpace" image="VertScrollUpNormal" dimension="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="0.5" type="Height" /></Dim>
+        <Child nameSuffix="__auto_decbtn__" type="SleekSpace/Button">
+            <Area>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <UnifiedDim scale="0.5" type="TopEdge" />
+                </Dim>
+                <Dim type="Width">
+                    <ImageDim dimension="Width" name="SleekSpace/VertScrollUpNormal" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="0.5" type="Height" />
+                </Dim>
             </Area>
             <HorzAlignment type="RightAligned" />
             <Property name="UseStandardImagery" value="False" />
-            <Property name="NormalImage" value="set:SleekSpace image:VertScrollDownNormal" />
-            <Property name="HoverImage" value="set:SleekSpace image:VertScrollDownHover" />
-            <Property name="PushedImage" value="set:SleekSpace image:VertScrollDownNormal" />
+            <Property name="NormalImage" value="SleekSpace/VertScrollDownNormal" />
+            <Property name="HoverImage" value="SleekSpace/VertScrollDownHover" />
+            <Property name="PushedImage" value="SleekSpace/VertScrollDownNormal" />
         </Child>
         <StateImagery name="Enabled" />
         <StateImagery name="Disabled" />
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/StaticShared
-        (Shared imagery components for static widgets)
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/StaticShared">
         <ImagerySection name="frame">
             <FrameComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                    <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                    <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
-                </Area>
-                <Image type="TopLeftCorner" imageset="SleekSpace" image="StaticTopLeft" />
-                <Image type="TopRightCorner" imageset="SleekSpace" image="StaticTopRight" />
-                <Image type="BottomLeftCorner" imageset="SleekSpace" image="StaticBottomLeft" />
-                <Image type="BottomRightCorner" imageset="SleekSpace" image="StaticBottomRight" />
-                <Image type="LeftEdge" imageset="SleekSpace" image="StaticLeft" />
-                <Image type="RightEdge" imageset="SleekSpace" image="StaticRight" />
-                <Image type="TopEdge" imageset="SleekSpace" image="StaticTop" />
-                <Image type="BottomEdge" imageset="SleekSpace" image="StaticBottom" />
+                    <Dim type="LeftEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <AbsoluteDim value="0" />
+                    </Dim>
+                    <Dim type="Width">
+                        <UnifiedDim scale="1" type="Width" />
+                    </Dim>
+                    <Dim type="Height">
+                        <UnifiedDim scale="1" type="Height" />
+                    </Dim>
+                </Area>
+                <Image component="TopLeftCorner" name="SleekSpace/StaticTopLeft" />
+                <Image component="TopRightCorner" name="SleekSpace/StaticTopRight" />
+                <Image component="BottomLeftCorner" name="SleekSpace/StaticBottomLeft" />
+                <Image component="BottomRightCorner" name="SleekSpace/StaticBottomRight" />
+                <Image component="LeftEdge" name="SleekSpace/StaticLeft" />
+                <Image component="RightEdge" name="SleekSpace/StaticRight" />
+                <Image component="TopEdge" name="SleekSpace/StaticTop" />
+                <Image component="BottomEdge" name="SleekSpace/StaticBottom" />
             </FrameComponent>
         </ImagerySection>
@@ -2117,22 +2664,24 @@
             <ImageryComponent>
                 <Area>
-                    <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="StaticLeft" dimension="Width" /></Dim>
-                    <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="StaticTop" dimension="Height" /></Dim>
-                    <Dim type="RightEdge" >
-                        <UnifiedDim scale="1" type="RightEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="SleekSpace" image="StaticRight" dimension="Width" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                    <Dim type="BottomEdge" >
-                        <UnifiedDim scale="1" type="BottomEdge">
-                            <DimOperator op="Subtract">
-                                <ImageDim imageset="SleekSpace" image="StaticBottom" dimension="Height" />
-                            </DimOperator>
-                        </UnifiedDim>
-                    </Dim>
-                </Area>
-                <Image imageset="SleekSpace" image="StaticBackdrop" />
+                    <Dim type="LeftEdge">
+                        <ImageDim dimension="Width" name="SleekSpace/StaticLeft" />
+                    </Dim>
+                    <Dim type="TopEdge">
+                        <ImageDim dimension="Height" name="SleekSpace/StaticTop" />
+                    </Dim>
+                    <Dim type="RightEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="RightEdge" />
+                            <ImageDim dimension="Width" name="SleekSpace/StaticRight" />
+                        </OperatorDim>
+                    </Dim>
+                    <Dim type="BottomEdge">
+                        <OperatorDim op="Subtract">
+                            <UnifiedDim scale="1" type="BottomEdge" />
+                            <ImageDim dimension="Height" name="SleekSpace/StaticBottom" />
+                        </OperatorDim>
+                    </Dim>
+                </Area>
+                <Image name="SleekSpace/StaticBackdrop" />
                 <VertFormat type="Stretched" />
                 <HorzFormat type="Stretched" />
@@ -2140,10 +2689,4 @@
         </ImagerySection>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/StaticImage
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/StaticImage">
         <Property name="FrameEnabled" value="True" />
@@ -2151,19 +2694,21 @@
         <NamedArea name="WithFrameImageRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="StaticLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="StaticTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="StaticRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="StaticBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/StaticLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="SleekSpace/StaticTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/StaticRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="SleekSpace/StaticBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -2171,8 +2716,16 @@
         <NamedArea name="NoFrameImageRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="TopEdge" ><AbsoluteDim value="0" /></Dim>
-                <Dim type="Width" ><UnifiedDim scale="1" type="Width" /></Dim>
-                <Dim type="Height" ><UnifiedDim scale="1" type="Height" /></Dim>
+                <Dim type="LeftEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <AbsoluteDim value="0" />
+                </Dim>
+                <Dim type="Width">
+                    <UnifiedDim scale="1" type="Width" />
+                </Dim>
+                <Dim type="Height">
+                    <UnifiedDim scale="1" type="Height" />
+                </Dim>
             </Area>
         </NamedArea>
@@ -2200,10 +2753,4 @@
         </StateImagery>
     </WidgetLook>
-    
-    <!--
-    ***************************************************
-        SleekSpace/StaticText
-    ***************************************************
-    -->
     <WidgetLook name="SleekSpace/StaticText">
         <Property name="FrameEnabled" value="True" />
@@ -2211,19 +2758,21 @@
         <NamedArea name="TextRenderArea">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="StaticLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="StaticTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="StaticRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="StaticBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/StaticLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="SleekSpace/StaticTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/StaticRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="SleekSpace/StaticBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -2231,19 +2780,21 @@
         <NamedArea name="TextRenderAreaHScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="StaticLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="StaticTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="StaticRight" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_hscrollbar__" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/StaticLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="SleekSpace/StaticTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <ImageDim dimension="Width" name="SleekSpace/StaticRight" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <WidgetDim dimension="Height" widget="__auto_hscrollbar__" />
+                    </OperatorDim>
                 </Dim>
             </Area>
@@ -2251,19 +2802,21 @@
         <NamedArea name="TextRenderAreaVScroll">
             <Area>
-                <Dim type="LeftEdge" ><ImageDim imageset="SleekSpace" image="StaticLeft" dimension="Width" /></Dim>
-                <Dim type="TopEdge" ><ImageDim imageset="SleekSpace" image="StaticTop" dimension="Height" /></Dim>
-                <Dim type="RightEdge" >
-                    <UnifiedDim scale="1" type="RightEdge">
-                        <DimOperator op="Subtract">
-                            <WidgetDim widget="__auto_vscrollbar__" dimension="Width" />
-                        </DimOperator>
-                    </UnifiedDim>
-                </Dim>
-                <Dim type="BottomEdge" >
-                    <UnifiedDim scale="1" type="BottomEdge">
-                        <DimOperator op="Subtract">
-                            <ImageDim imageset="SleekSpace" image="StaticBottom" dimension="Height" />
-                        </DimOperator>
-                    </UnifiedDim>
+                <Dim type="LeftEdge">
+                    <ImageDim dimension="Width" name="SleekSpace/StaticLeft" />
+                </Dim>
+                <Dim type="TopEdge">
+                    <ImageDim dimension="Height" name="SleekSpace/StaticTop" />
+                </Dim>
+                <Dim type="RightEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="RightEdge" />
+                        <WidgetDim dimension="Width" widget="__auto_vscrollbar__" />
+                    </OperatorDim>
+                </Dim>
+                <Dim type="BottomEdge">
+                    <OperatorDim op="Subtract">
+                        <UnifiedDim scale="1" type="BottomEdge" />
+                        <ImageDim dimension="Height" name="SleekSpace/StaticBottom" />
+                    </OperatorDim>
                 </Dim>
             </Area>
